Package org.apache.felix.http.base.internal.wrappers

# Class RuntimeServiceWrapper

java.lang.Object
org.apache.felix.http.base.internal.wrappers.RuntimeServiceWrapper

All Implemented Interfaces:
  `org.osgi.service.http.runtime.HttpServiceRuntime`

public class RuntimeServiceWrapper extends Object implements org.osgi.service.http.runtime.HttpServiceRuntime
Wrapper for the service runtime

## Constructor Summary

Constructors
Constructor
Description
`RuntimeServiceWrapper(org.osgi.service.servlet.runtime.HttpServiceRuntime runtime)`
Create a new wrapper

## Method Summary

Modifier and Type
Method
Description
`org.osgi.service.http.runtime.dto.RequestInfoDTO`
`calculateRequestInfoDTO(String path)`
`org.osgi.service.http.runtime.dto.RuntimeDTO`
`getRuntimeDTO()`
`void`
`setServiceReference(org.osgi.framework.ServiceReference<org.osgi.service.http.runtime.HttpServiceRuntime> reference)`
Set the service reference

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RuntimeServiceWrapper

public RuntimeServiceWrapper(org.osgi.service.servlet.runtime.HttpServiceRuntime runtime)
Create a new wrapper

Parameters:
  `runtime` - The original runtime service

## Method Details

### setServiceReference

public void setServiceReference(org.osgi.framework.ServiceReference<org.osgi.service.http.runtime.HttpServiceRuntime> reference)
Set the service reference

Parameters:
  `reference` - The reference

### getRuntimeDTO

public org.osgi.service.http.runtime.dto.RuntimeDTO getRuntimeDTO()

Specified by:
  `getRuntimeDTO` in interface `org.osgi.service.http.runtime.HttpServiceRuntime`

### calculateRequestInfoDTO

public org.osgi.service.http.runtime.dto.RequestInfoDTO calculateRequestInfoDTO(String path)

Specified by:
  `calculateRequestInfoDTO` in interface `org.osgi.service.http.runtime.HttpServiceRuntime`